#
# spec file for package python-azure-template
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-azure-template
Version:        0.1.0b3333464
Release:        1.4
Summary:        Microsoft Azure Template Package Client Library for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-template/azure-template-%{version}.tar.gz
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-azure-core < 2.0.0
Requires:       python-azure-core >= 1.23.0
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This template package matches necessary patterns that the development team has established to
create a unified sdk functional from Python 2.7 onwards. The packages contained herein can be
installed singly or as part of the azure namespace.

This package has been tested with Python 2.7, 3.5, 3.6, 3.7 and 3.8

%prep
%setup -q -n azure-template-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-template-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{python_sitelib}/azure/template
%{python_sitelib}/azure_template-*.egg-info

%changelog
* Tue Dec 12 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b3333464
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Mon Nov 20 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b3273802
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Thu Oct 26 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b3195006
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Wed Sep 20 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b3096118
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Remove unzip package from BuildRequires
- Switch source archive format to TAR.GZ
* Mon Jul  3 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b2840062
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Tue May 30 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b2675288
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Tue Mar  7 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b2609285
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Wed Jan  4 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b2089057
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Switch source archive format back to ZIP
- Re-add unzip to BuildRequires
* Wed Nov 23 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b2006793
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Switch source archive format to TAR.GZ
- Drop unzip from BuildRequires
* Tue Aug 23 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1798511
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Mon Aug  1 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1739996
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Apr 21 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1519537
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Mar 17 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1438905
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Mon Jan 17 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1293622
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Dec  2 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1224133
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Tue Nov 23 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1210009
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Mon Nov  1 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1168668
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Wed Oct 20 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1147355
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Mon Oct  4 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1116250
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Tue Sep  7 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1081877
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Jul 22 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b1006474
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Jul  1 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b971103
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Update Requires from setup.py
* Fri May  7 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b838605
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Mar 25 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b803264
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Tue Jan 19 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.1.0b687560
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Thu Jan  7 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 0.1.0b674756
